/* shlbwl.f -- translated by f2c (version 19990503).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "libtinyf2c.h"

/* ********************************************************************** */
/*     BACKWARD LEGENDRE TRANSFORMATION (LOWER LEVEL) */
/* ********************************************************************** */
/*     Copyright (C) 2000 GFD Dennou Club. All rights reserved. */
/* ----------------------------------------------------------------------- */
/* Subroutine */ int shlbwl_(integer *mm, integer *m, real *sd, real *ws, 
	real *wa, real *pmj)
{
    /* System generated locals */
    integer i__1;

    /* Local variables */
    static doublereal suma, sums;
    static integer n;

    n = *m;
    sums = sd[n] * pmj[n];
    suma = sd[n + 1] * pmj[n + 1];
    i__1 = *mm;
    for (n = *m + 2; n <= i__1; n += 2) {
	sums += sd[n] * pmj[n];
	suma += sd[n + 1] * pmj[n + 1];
/* L10: */
    }
    if ((*mm - *m) % 2 == 1) {
	sums += sd[*mm + 1] * pmj[*mm + 1];
    }
    *ws = sums;
    *wa = suma;
    return 0;
} /* shlbwl_ */

